org.springframework.data.crossstore

## Class ChangeSetBackedTransactionSynchronization

- java.lang.Object
- - org.springframework.data.crossstore.ChangeSetBackedTransactionSynchronization

All Implemented Interfaces:
  Flushable, Ordered, TransactionSynchronization

    public class ChangeSetBackedTransactionSynchronization
    extends Object
    implements TransactionSynchronization

### Field Summary

### Fields inherited from interface org.springframework.transaction.support.TransactionSynchronization

`STATUS_COMMITTED, STATUS_ROLLED_BACK, STATUS_UNKNOWN`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Constructor Summary

Constructors
Constructor and Description
`ChangeSetBackedTransactionSynchronization(ChangeSetPersister<Object> changeSetPersister, ChangeSetBacked entity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterCommit()`
`void` `afterCompletion(int status)`
`void` `beforeCommit(boolean readOnly)`
`void` `beforeCompletion()`
`void` `flush()`
`void` `resume()`
`void` `suspend()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.transaction.support.TransactionSynchronization

`getOrder`

### Constructor Detail

#### ChangeSetBackedTransactionSynchronization

    public ChangeSetBackedTransactionSynchronization(ChangeSetPersister<Object> changeSetPersister,
                                                     ChangeSetBacked entity)

### Method Detail

#### afterCommit

    public void afterCommit()

Specified by:
  `afterCommit` in interface `TransactionSynchronization`

#### afterCompletion

    public void afterCompletion(int status)

Specified by:
  `afterCompletion` in interface `TransactionSynchronization`

#### beforeCommit

    public void beforeCommit(boolean readOnly)

Specified by:
  `beforeCommit` in interface `TransactionSynchronization`

#### beforeCompletion

    public void beforeCompletion()

Specified by:
  `beforeCompletion` in interface `TransactionSynchronization`

#### flush

    public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in interface `TransactionSynchronization`

#### resume

    public void resume()

Specified by:
  `resume` in interface `TransactionSynchronization`

#### suspend

    public void suspend()

Specified by:
  `suspend` in interface `TransactionSynchronization`